#
# spec file for package kimap
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

%define kf5_version 5.19.0
Name:           kimap
Version:        17.07.90
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        KDE PIM Libraries: IMAP library
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kimap-%{version}.tar.xz
BuildRequires:  cyrus-sasl-devel
BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kcoreaddons-devel >= %{kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{kf5_version}
BuildRequires:  kio-devel >= %{kf5_version}
BuildRequires:  kmime-devel >= %{kf5_version}
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Test)
%if %{with lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains additional libraries for KDE PIM applications.

%package -n libKF5IMAP5
Summary:        KDE PIM Libraries: IMAP APIs
Group:          Development/Libraries/KDE

%description  -n libKF5IMAP5
This package contains the libray for IMAP support

%package devel
Summary:        KDE PIM Libraries: Build Environment
Group:          Development/Libraries/KDE
Requires:       cyrus-sasl-devel
Requires:       kcoreaddons-devel >= %{kf5_version}
Requires:       kmime-devel >= %{_kapp_version}
Requires:       libKF5IMAP5 = %{version}

%description devel
This package contains necessary include files and libraries needed
to develop KDE PIM applications.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n kimap-%{version}

%build
  %cmake_kf5 -d build -- -DBUILD_TESTING=ON -DKF5_INCLUDE_INSTALL_DIR=%{_kf5_includedir}
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
  %endif

%post -n libKF5IMAP5 -p /sbin/ldconfig
%postun -n libKF5IMAP5 -p /sbin/ldconfig

%files -n libKF5IMAP5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5IMAP.so.*

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_cmakedir}/KF5IMAP/
%{_kf5_includedir}/KIMAP/
%{_kf5_includedir}/kimap_version.h
%{_kf5_includedir}/kimaptest/
%{_kf5_libdir}/libKF5IMAP.so
%{_kf5_libdir}/libkimaptest.a
%{_kf5_mkspecsdir}/qt_KIMAP.pri

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
